package com.hzya.frame.sys.testReturn.dao;

import com.hzya.frame.sys.testReturn.entity.TestReturn;
import java.util.List;

/**
 * @description: 系统测试返回  dao
 * @tableName: sys_test_return
 * @entityName: TestReturn
 * @author: gjh
 * @history: 1.0
 */
public interface ITestReturnMapper {

        //通过ID获取数据    entity_get
        TestReturn entity_get(String id);
        //通过ID获取数据    entity_get
        TestReturn entity_get_by_type(String id);

        //查询 采用==查询   entity_list_base
        List<TestReturn> entity_list_base(TestReturn entity);

        //  查询符合条件的数量
        Integer entity_count(TestReturn entity);

        //分页查询列表 采用like格式 entity_list_like
        List<TestReturn> entity_list_like(TestReturn entity);

        //查询列表 字段采用or格式   entity_list_or
        List<TestReturn> entity_list_or(TestReturn entity);

        //新增  entity_insert
        TestReturn entity_insert(TestReturn entity);

        //修改  entity_update
        Integer entity_update(TestReturn entity);

        //物理删除
        Integer entity_delete(TestReturn entity);


}
